Package org.jcsp.plugNplay

# Class Pairs

java.lang.Object
org.jcsp.plugNplay.Pairs

All Implemented Interfaces:
  `CSProcess`

public class Pairs extends Object implements CSProcess
Generates sums of successive pairs of input `Integer`s.

## Process Diagram

### External View

### Internal View

## Description

`Pairs` is a process whose output is always the sum of its previous two inputs.

Two inputs are needed before any output is produced but that, thereafter, one output is produced for each input.

## Channel Protocols

Input Channels
in | java.lang.Number | The Channel can accept data from any subclass of Number. All values will be converted to ints.
Output Channels
out | java.lang.Integer | The output will always be of type Integer.

Author:
  P.H. Welch and P.D. Austin

## Constructor Summary

Constructors
Constructor
Description
`Pairs(ChannelInput in, ChannelOutput out)`
Construct a new Pairs process with the input Channel in and the output Channel out.

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
The main body of this process.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Pairs

public Pairs(ChannelInput in, ChannelOutput out)
Construct a new Pairs process with the input Channel in and the output Channel out.

Parameters:
  `in` - The input Channel
  `out` - The output Channel

## Method Details

### run

public void run()
The main body of this process.

Specified by:
  `run` in interface `CSProcess`